oracle.pg.text.lucene

## Class OracleAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - oracle.pg.text.lucene.OracleAnalyzer

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class OracleAnalyzer
      extends org.apache.lucene.analysis.Analyzer

  This class extends Lucene's Analyzer and it has Oracle's specific customizations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

      `org.apache.lucene.analysis.Analyzer.GlobalReuseStrategy, org.apache.lucene.analysis.Analyzer.PerFieldReuseStrategy, org.apache.lucene.analysis.Analyzer.ReuseStrategy, org.apache.lucene.analysis.Analyzer.TokenStreamComponents`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleAnalyzer(org.apache.lucene.util.Version matchVersion)` Creates a new OracleAnalyzer object.
    `OracleAnalyzer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.analysis.util.CharArraySet stopWords)` Creates a new OracleAnalyzer object.
    `OracleAnalyzer(org.apache.lucene.util.Version matchVersion, org.apache.lucene.analysis.util.CharArraySet stopWords, int min, int max, boolean caseSensitive, boolean filterStopWords)` Creates a new OracleAnalyzer object.
    `OracleAnalyzer(org.apache.lucene.util.Version matchVersion, int min, int max, boolean caseSensitive, boolean filterStopWords)` Creates a new OracleAnalyzer object.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, tokenStream, tokenStream`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleAnalyzer

          public OracleAnalyzer(org.apache.lucene.util.Version matchVersion)

      Creates a new OracleAnalyzer object. With a length filter from 1 to MAX_INT and Case sensitive filter.
      Parameters:
        `matchVersion` - the version of Lucene to use for this analyzer.

    - #### OracleAnalyzer

          public OracleAnalyzer(org.apache.lucene.util.Version matchVersion,
                        org.apache.lucene.analysis.util.CharArraySet stopWords)

      Creates a new OracleAnalyzer object.
      Parameters:
        `matchVersion` - the version of Lucene to use for this analyzer.
        `stopWords` - a `CharArraySet` object with all stop words to filter.

    - #### OracleAnalyzer

          public OracleAnalyzer(org.apache.lucene.util.Version matchVersion,
                        org.apache.lucene.analysis.util.CharArraySet stopWords,
                        int min,
                        int max,
                        boolean caseSensitive,
                        boolean filterStopWords)

      Creates a new OracleAnalyzer object.
      Parameters:
        `matchVersion` - the version of Lucene to use for this analyzer.
        `stopWords` - a `CharArraySet` object with all stop words to filter.
        `min` - the minimum allowed token length. If a token is seen that does not at least meet this length then it is discarded.
        `max` - the maximum allowed token length. If a token is seen that exceeds this length then it is discarded.
        `caseSensitive` - if false then all tokes are translated into lower case.
        `filterStopWords` - if true, then stop words are removed from the token stream.

    - #### OracleAnalyzer

          public OracleAnalyzer(org.apache.lucene.util.Version matchVersion,
                        int min,
                        int max,
                        boolean caseSensitive,
                        boolean filterStopWords)

      Creates a new OracleAnalyzer object.
      Parameters:
        `matchVersion` - the version of Lucene to use for this analyzer.
        `min` - the minimum allowed token length. If a token is seen that does not at least meet this length then it is discarded.
        `max` - the maximum allowed token length. If a token is seen that exceeds this length then it is discarded.
        `caseSensitive` - if false then all tokes are translated into lower case.
        `filterStopWords` - if true, then stop words are removed from the token stream.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.